Page MenuHomePhabricator

PHP Notice: Undefined index
Closed, ResolvedPublic

Description

Notice: Undefined index: IncludeIP in /.../extensions/ContactPage/ContactPage_body.php on line 243

This notice is triggered after submitting the contact form. 'IncludeIP' is set to true in the configuration

This is the rest of the setup:

Revision 80b5d8f of May 7, 2014 with MW 1.23rc0 on PHP 5.3.3


Version: REL1_23-branch
Severity: minor

Details

Reference
bz65063

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:11 AM
bzimport set Reference to bz65063.
bzimport added a subscriber: Unknown Object (MLST).
Kghbln created this task.May 9 2014, 12:16 PM
Reedy added a comment.May 9 2014, 4:32 PM

Just needs a few isset() calls putting in

Is this still an issue?

Kghbln added a comment.Aug 7 2014, 1:05 PM

Affirmative after just testing this with MW 1.23.2. Only translation updates since the revision mentioned in my original report.

Hmm, I am wondering a bit. Either it was not there or I did not report it before. In any case one also gets for CP 2.2 and MW 1.23.5 additionally to what I reported before:

PHP Notice: Undefined index: SenderEmail in /.../extensions/ContactPage/ContactPage_body.php on line 223

Reedy added a comment.Oct 26 2014, 4:48 PM

I'm guessing the first one is now 253 and this one being 233 in master at least

Affirmative, SenderEmail is now 233 and IncludeIP is 253. I still used a version prior to the CAPTCHA fix.

1 Undefined index: IncludeIP in /srv/mediawiki/php-1.25wmf22/extensions/ContactPage/ContactPage_body.php on line 254

From WMF production this morning.

Change 200846 had a related patch set uploaded (by Alex Monk):
Fix undefined index warning

https://gerrit.wikimedia.org/r/200846

Change 200846 merged by jenkins-bot:
Fix undefined index warning

https://gerrit.wikimedia.org/r/200846

Kghbln closed this task as Resolved.Mar 31 2015, 3:15 PM
Kghbln claimed this task.

Thanks a ton. So this should be cool for the MW 1.25 tag and beyond.

Krenair claimed this task.Mar 31 2015, 3:19 PM
Krenair set Security to None.
Krenair removed a project: Patch-For-Review.